Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Problem building plugin on ganymede with bundle-nativecode
Problem building plugin on ganymede with bundle-nativecode [message #587331] Wed, 17 December 2008 14:36
Phil Longstaff is currently offline Phil LongstaffFriend
Messages: 4
Registered: July 2009
Junior Member
I am trying to build a project which has a native code library. If I omit
the Bundle-NativeCode header from MANIFEST.MF, the jar builds correctly,
but obviously will not work because of the missing header. If I add the
header, the jar does not build correctly:

1) the jar is built as though all of the files in the project were just
thrown into the jar
- .class files are in bin/com/... instead of com/...
- it includes src
- it includes .settings

2) it doesn't replace 'qualifier' in the jar file name i.e. I get
xxx_0.2.0.qualifier.jar instead of xxx_0.2.0.200812171000.jar

Nothing shows up in the eclipse error log.

Any ideas?

Phil
Previous Topic:Problem building plugin on ganymede with bundle-nativecode
Next Topic:3.4 installation as a target platform
Goto Forum:
  


Current Time: Wed Jul 28 20:43:36 GMT 2021

Powered by FUDForum. Page generated in 0.02075 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top